### 5.1.65 kernel

`Syntax:`
  `kernel (` ring_name`,` map_name `)`
  `preimage (` ring_name`,` ideal_expression `)`
`Type:`
  ideal
`Purpose:`
  returns the kernel of a given map.
  The second argument has to be a map from the basering to the given ring (or an ideal defining such a map).
`Example:`

        ring r1=32003,(x,y,z,w),lp;
        ring r=32003,(x,y,z),dp;
        ideal i=x,y,z;
        map f=r1,i;
        setring r1;
        // the kernel of f
        kernel(r,f);
      ==> _[1]=w

See alg_kernel; hom_kernel; ideal; map; modulo; preimage; ring.

User manual for Singular version 4-0-3, 2016, generated by texi2html.